Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/MainForm.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/MainForm.cs	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/MainForm.cs	(revision 30536)
@@ -51,5 +51,13 @@
         {
             int command_length, i;
-            
+
+            byte[] temp_array2 = new byte[2];
+            string tempstr;
+
+            temp_array2[0] = 0xC3;
+            temp_array2[1] = 0xAF;
+            tempstr = Encoding.UTF8.GetString(temp_array2);
+
+
             this.AddToAlbumGroupbox.Text = WinFormStrings.MFAddToAlbumGroupboxStrRes;
             this.AddTopAlbumCheckbox.Text = WinFormStrings.MFAddTopAlbumCheckboxStrRes;
@@ -81,4 +89,6 @@
             this.Refresh();
 
+            logit.WriteLog("Program Start up");
+
             //if no arguments then exit
             if (command_line_args.Length == 0)
@@ -99,4 +109,5 @@
             }
 
+            logit.WriteLog("Reading command line arguments. Length: " + command_length.ToString());
             AccessComboBox.SelectedIndex = Form1Settings.Default.AccessSetting;
             this.SyncButton.Enabled = true;
@@ -107,14 +118,29 @@
             DescriptionTextBox.Text = DetermineAlbumDescription(command_line_args[0]);
 
-            if (FormSettings.Default.PiwigoUrlSetting.Length == 0 ||
-                FormSettings.Default.PicasaContactsLocation.Length == 0)
-            {
+            if (FormSettings.Default.PiwigoUrlSetting.Length == 0)
+            {
+                logit.WriteLog("Piwigo URL must be configured.");
                 MessageBox.Show(WinFormStrings.SetUpConnStrRes, "Picasa2Piwigo");
+                this.SyncButton.Enabled = false;
                 return;
             }
-
+            if (FormSettings.Default.PicasaContactsLocation.Length == 0)
+            {
+                logit.WriteLog("Picasa contacts not set");                
+            }
+
+            if (FormSettings.Default.DebugEnabled)
+            {
+                if (FormSettings.Default.DebugFileLocation.Length < 4)
+                {
+                    MessageBox.Show( WinFormStrings.LogPathErrStrRes, "Picasa2Piwigo");                        
+                }
+            }    
+
+            logit.WriteLog("Going to log in to piwigo.");
             //ok to try to login etc
             LoginBuildAlbumList();
 
+            logit.WriteLog("Populating album list box.");
             //populate album listbox
             PopulateAlbumListBox();
@@ -154,4 +180,10 @@
                 result = StatusForm.ShowDialog();
                 StatusForm.Close();
+
+                //bring window to front
+                this.WindowState = FormWindowState.Minimized;
+                this.Show();
+                this.WindowState = FormWindowState.Normal;
+
                 if (result == DialogResult.No)
                 {
@@ -177,4 +209,10 @@
                 result = StatusForm.ShowDialog();
                 StatusForm.Close();
+
+                //bring window to front
+                this.WindowState = FormWindowState.Minimized;
+                this.Show();
+                this.WindowState = FormWindowState.Normal;
+
                 if (result == DialogResult.No)
                 {
@@ -200,4 +238,12 @@
             if (option_form_result == DialogResult.OK)
             {
+                if (FormSettings.Default.DebugEnabled)
+                {
+                    if (FormSettings.Default.DebugFileLocation.Length < 4)
+                    {
+                        MessageBox.Show(WinFormStrings.LogPathErrStrRes, "Picasa2Piwigo");
+                    }
+                }            
+
                 if (FormSettings.Default.PiwigoUrlSetting.Length != 0 &&
                     FormSettings.Default.PicasaContactsLocation.Length != 0)
@@ -239,4 +285,5 @@
                 MessageBox.Show(GlobalClass.StatusDialogErrorMessage, WinFormStrings.Picasa2PiwigoErrStrRes,
                     MessageBoxButtons.OK, MessageBoxIcon.Error);
+                this.SyncButton.Enabled = false;
             }
             AlbumList = GlobalClass.AlbumList;
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/OptionForm.Designer.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/OptionForm.Designer.cs	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/OptionForm.Designer.cs	(revision 30536)
@@ -41,4 +41,8 @@
             this.PicasaContactsFileTextBox = new System.Windows.Forms.TextBox();
             this.SetContactPathBtn = new System.Windows.Forms.Button();
+            this.button1 = new System.Windows.Forms.Button();
+            this.DebugtextBox = new System.Windows.Forms.TextBox();
+            this.label4 = new System.Windows.Forms.Label();
+            this.LogEnabled = new System.Windows.Forms.CheckBox();
             this.SuspendLayout();
             // 
@@ -112,10 +116,40 @@
             this.SetContactPathBtn.Click += new System.EventHandler(this.SetContactPathBtn_Click);
             // 
+            // button1
+            // 
+            resources.ApplyResources(this.button1, "button1");
+            this.button1.MaximumSize = new System.Drawing.Size(54, 23);
+            this.button1.Name = "button1";
+            this.button1.UseVisualStyleBackColor = true;
+            this.button1.Click += new System.EventHandler(this.SetDebugPathBtn_Click);
+            // 
+            // DebugtextBox
+            // 
+            resources.ApplyResources(this.DebugtextBox, "DebugtextBox");
+            this.DebugtextBox.Name = "DebugtextBox";
+            this.DebugtextBox.ReadOnly = true;
+            // 
+            // label4
+            // 
+            resources.ApplyResources(this.label4, "label4");
+            this.label4.MaximumSize = new System.Drawing.Size(133, 16);
+            this.label4.Name = "label4";
+            // 
+            // LogEnabled
+            // 
+            resources.ApplyResources(this.LogEnabled, "LogEnabled");
+            this.LogEnabled.Name = "LogEnabled";
+            this.LogEnabled.UseVisualStyleBackColor = true;
+            // 
             // OptionsForm
             // 
             resources.ApplyResources(this, "$this");
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+            this.Controls.Add(this.LogEnabled);
+            this.Controls.Add(this.label4);
             this.Controls.Add(this.label8);
+            this.Controls.Add(this.DebugtextBox);
             this.Controls.Add(this.PicasaContactsFileTextBox);
+            this.Controls.Add(this.button1);
             this.Controls.Add(this.SetContactPathBtn);
             this.Controls.Add(this.ACancelButton);
@@ -147,4 +181,8 @@
         private System.Windows.Forms.TextBox PicasaContactsFileTextBox;
         private System.Windows.Forms.Button SetContactPathBtn;
+        private System.Windows.Forms.Button button1;
+        private System.Windows.Forms.TextBox DebugtextBox;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.CheckBox LogEnabled;
     }
 }
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/OptionForm.cs
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/OptionForm.cs	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/OptionForm.cs	(revision 30536)
@@ -45,4 +45,7 @@
             PiwigoPasswordTextBox.Text = FormSettings.Default.PiwigoPassword;
             PicasaContactsFileTextBox.Text = FormSettings.Default.PicasaContactsLocation;
+            DebugtextBox.Text = FormSettings.Default.DebugFileLocation;
+            LogEnabled.Checked = FormSettings.Default.DebugEnabled;
+
 
             LabelAdjust AdjustLabelClass = new LabelAdjust();
@@ -62,4 +65,6 @@
             FormSettings.Default.PiwigoPassword = PiwigoPasswordTextBox.Text;
             FormSettings.Default.PicasaContactsLocation = PicasaContactsFileTextBox.Text;
+            FormSettings.Default.DebugFileLocation = DebugtextBox.Text;
+            FormSettings.Default.DebugEnabled = LogEnabled.Checked;
             FormSettings.Default.Save();
             this.DialogResult = DialogResult.OK;
@@ -82,4 +87,15 @@
             }
         }
+
+        private void SetDebugPathBtn_Click(object sender, EventArgs e)
+        {
+            SaveFileDialog openFile1 = new SaveFileDialog();
+            openFile1.Filter = "Text Files|*.txt";
+            if (openFile1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
+            {
+                DebugtextBox.Text = openFile1.FileName;
+            }
+
+        }
     }
 }
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Picasa2Piwigo.csproj
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Picasa2Piwigo.csproj	(revision 30535)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Picasa2Piwigo.csproj	(revision 30536)
@@ -127,4 +127,5 @@
     <EmbeddedResource Include="StatusForm.resx">
       <DependentUpon>StatusForm.cs</DependentUpon>
+      <SubType>Designer</SubType>
     </EmbeddedResource>
     <EmbeddedResource Include="Language\WinFormStrings.ru.resx" />
Index: /extensions/Picasa2Piwigo/Picasa2Piwigo/Picasa2Piwigo.csproj.user
===================================================================
--- /extensions/Picasa2Piwigo/Picasa2Piwigo/Picasa2Piwigo.csproj.user	(revision 30536)
+++ /extensions/Picasa2Piwigo/Picasa2Piwigo/Picasa2Piwigo.csproj.user	(revision 30536)
@@ -0,0 +1,17 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <StartArguments>"D:\downloads\junk\IMG_5715a.jpg"</StartArguments>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PublishUrlHistory />
+    <InstallUrlHistory />
+    <SupportUrlHistory />
+    <UpdateUrlHistory />
+    <BootstrapperUrlHistory />
+    <ErrorReportUrlHistory />
+    <FallbackCulture>en-US</FallbackCulture>
+    <VerifyUploadedFiles>false</VerifyUploadedFiles>
+    <ProjectView>ProjectFiles</ProjectView>
+  </PropertyGroup>
+</Project>
